
MP3J_pd = {
	
	settings: 	{},
	plugin_url: '',
	
	//~~
	init: function () {
		if ( typeof MP3jPLAYERS !== 'undefined' ) {
			MP3_JPLAYER.extCalls.init.push( MP3J_pd.setup_players );
		}
	},
	
	//~~
	setup_players: function () {
		var j;
		var playlist;
		var i;
		var L;
		var lButton;
		
		for ( j in MP3jPLAYERS ) {
			if ( MP3J_pd.isPlaylister( j ) ) {
				if ( MP3jPLAYERS[ j ].download === true ) {
					playlist = MP3jPLAYERS[ j ].list;
					L = playlist.length;
					if ( MP3J_pd.settings.lButtons ) {
						for ( i = 0; i < L; i += 1 ) {
							lButton = MP3J_pd.make_list_button_html( playlist[ i ].mp3, j, i );
							jQuery('#UL_mp3j_' + j + ' li:nth-child(' + ( i + 1 ) + ')').prepend( lButton );
							if ( MP3_JPLAYER.vars.force_dload === true ) {
								MP3J_pd.add_list_listener( j, i );
							}
						}
					}
					if ( ! MP3J_pd.settings.dButtons ) {
						jQuery( MP3_JPLAYER.eID.dload + j ).remove();
					}
				}
			}
		}
	},
	
	//~~
	make_list_button_html: function ( url, j, i ) {
		var html = '';
		html += '<div class="pd_listButtonWrap ' + MP3J_pd.settings.lClass + '"><a href="' + url + '" id="linkDL_' +j+ '_' +i+ '" target="_blank">' + MP3J_pd.settings.lText + '</a></div>';
		return html;
	},
	
	//~~
	add_list_listener: function ( j, i ) {
		jQuery('#linkDL_' + j + '_' + i ).on( 'click', function ( e ) {
			var p = MP3_JPLAYER.pl_info[ j ];
			MP3_JPLAYER.dl_runinfo( p.list[ i ].mp3, j, e );
			MP3_JPLAYER.runExternals( 'download', p.list[ i ] );
			e.preventDefault();
		});
	},
	
	//~~
	isPlaylister: function ( j ) {
		var p = MP3jPLAYERS[ j ]
		return ( 'MI' === p.type ) ? true : false;
	}
	
};

