<?php
/*
Plugin Name: Playlist Downloads
Description: A module for MP3-jPlayer that adds extra download buttons to playlist players.
Version: 1.0
Author: Simon Ward
Author URI: http://sjward.org
License: GPL2
*/

define( 'MP3Jpd_PLUGIN_PATH', dirname( __FILE__ ) );
define( 'MP3Jpd_PLUGIN_URL', plugins_url( '', __FILE__ ) );
define( 'MP3Jpd_SETTINGS_NAME', 'eMJP_playlist_downloads' );

include_once( MP3Jpd_PLUGIN_PATH . '/class-playlist-downloads.php' );

if ( class_exists( 'eMJP_playlist_downloads' ) )
{
	$MP3J_PD = new eMJP_playlist_downloads();
	if ( isset( $MP3J_PD ) ) {
		add_action( 'init', array( &$MP3J_PD, 'hookup' ), 100 );
	}
}
?>